/*******************************************************************************
 **  Name: path.h                                                             **
 **  Description:                                                             **
 **                                                                           **
 **  CDDL: Open Source Initiative (OSI) Approved License                      **
 **                                                                           **
 **  Copyright (c) 2009-2010 Barry "Gian" James  <bjames@unix-arm.net>        **
 **  All rights reserved.                                                     **
 **                                                                           **
 **  The contents of this file are subject to the terms of the CDDL:          **
 **  Common Development and Distribution License (the "License").             **
 **  You may not use this file except in compliance with the License.         **
 **                                                                           **
 **  You can obtain a copy of the license at $PROJECT_ROOT/LICENSE            **
 **  or http://www.opensolaris.org/os/licensing.  This code is Open Source    **
 **  and you are free to use it within the confines of the license, even      **
 **  for your own closed-source commercial projects, as long as you follow    **
 **  the terms set forth in the CDDL.                                         **
 **                                                                           **
 **  When distributing Covered Code, include this CDDL HEADER in each         **
 **  file and include the License file at $PROJECT_ROOT/LICENSE.              **
 **  If applicable, add the following below this CDDL HEADER, with the        **
 **  fields enclosed by brackets "[]" replaced with your own identifying      **
 **  information: Portions Copyright [yyyy] [name of copyright owner]         **
 **                                                                           **
 ******************************************************************************/
// $Id$
// Created on February 24, 2011, 11:33 PM
// Modified $Date$ by $Author$


#ifndef _MUNIX_PATH_H_
#define	_MUNIX_PATH_H_

/** This defines the path separation token */
const char __def_path_sep = '/';


class   DirectoryPath
{
public:
	DirectoryPath() { path = NULL; }
    DirectoryPath(const char *);
    virtual ~DirectoryPath();

    const char * Tail();

protected:
    const char * path;
    uint8       mount;
};


#endif	/* PATH_ */

