/*******************************************************************************
 ** Name: timer.cpp                                                           **
 ** Description: Declaration of filesystem paths.                             **
 **                                                                           **
 ** Open Source Initiative (OSI) Approved License                             **
 **                                                                           **
 **  Copyright (c) 2009-2010 Barry "Gian" James  <bjames@munixos.net>         **
 **  All rights reserved.                                                     **
 **                                                                           **
 **  Redistribution and use in source and binary forms, with or without       **
 **  modification, are permitted provided that the following conditions are   **
 **  met:                                                                     **
 **                                                                           **
 **  * Redistributions of source code must retain the above copyright notice, **
 **    this list of conditions and the following disclaimer.                  **
 **  * Redistributions in binary form must reproduce the above copyright      **
 **    notice, this list of conditions and the following disclaimer in the    **
 **    documentation and/or other materials provided with the distribution.   **
 **                                                                           **
 **  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      **
 ** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED **
 ** TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A           **
 ** PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT        **
 ** HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,    **
 ** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED  **
 ** TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR    **
 ** PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF    **
 ** LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING      **
 ** NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS        **
 ** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              **
 **                                                                           **
 ******************************************************************************/
// $Id: timer.cpp 56499 2011-03-14 15:25:03Z unknown $
// $Id: timer.cpp 56499 2011-03-14 15:25:03Z unknown $

#include "timer.h"
#include "peripheral.h"

////////////////////////////////////////[ class Timer
Timer::Timer(uint8 i, PeripheralResolution r)
        : Peripheral(i,PeripheralType::Timer)
{
    ctcMatch = 0;
}

bool
Timer::Setup()
{

    return false;
}

void
Timer::PowerDown()
{

}
void
Timer::PowerUp()
{

}

void
Timer::Start()
{

}

void
Timer::Stop()
{

}

uint16
Timer::Count()
{

    return 0;
}


////////////////////////////////////////[ class Watchdog
Watchdog::Watchdog()
        : Peripheral(0,PeripheralType::Watchdog)
{
    mode    = WatchdogMode::bjames;
    timeout = WatchdogTimeout::bjames;
}

bool
Watchdog::Setup()
{
    return false;
}

void
Watchdog::PowerDown()
{

}

void
Watchdog::PowerUp()
{

}

