/*******************************************************************************
 **  Name: gpu.h                                                              **
 **  Description: The GPU is the graphics controller that talks to the cpu    **
 **               and manages the graphics memory.                            **
 **                                                                           **
 **  CDDL: Open Source Initiative (OSI) Approved License                      **
 **                                                                           **
 **  The contents of this file are subject to the terms of the CDDL:          **
 **  Common Development and Distribution License (the "License").             **
 **  You may not use this file except in compliance with the License.         **
 **                                                                           **
 **  You can obtain a copy of the license at $PROJECT_ROOT/LICENSE            **
 **  or http://www.opensolaris.org/os/licensing.  This code is Open Source    **
 **  and you are free to use it within the confines of the license, even      **
 **  for your own closed-source commercial projects, as long as you follow    **
 **  the terms set forth in the CDDL.                                         **
 **                                                                           **
 **  When distributing Covered Code, include this CDDL HEADER in each         **
 **  file and include the License file at $PROJECT_ROOT/LICENSE.              **
 **  If applicable, add the following below this CDDL HEADER, with the        **
 **  fields enclosed by brackets "[]" replaced with your own identifying      **
 **  information: Portions Copyright [yyyy] [name of copyright owner]         **
 **                                                                           **
 **  Copyright (c) 2009-2011 Barry "Gian" James  <bjames@unix-arm.net>        **
 **  All rights reserved.                                                     **
 ******************************************************************************/
// $Id$
// Created on February 25, 2011, 9:26 AM
// Modified $Date$ by $Author$


#ifndef _MUNIX_GPU_H_
#define	_MUNIX_GPU_H_

#define DEFAULT_VGA_WIDTH	640
#define DEFAULT_VGA_HEIGHT	480



#endif	/* _MUNIX_GPU_H_ */

