#ifndef COMMON_H
#define	COMMON_H

/*******************************************************************************
 **  Name: common.h                                                          **
 **  Description:  
 **  Author: bjames                                                           **
 **                                                                           **
 **  CDDL: Open Source Initiative (OSI) Approved License                      **
 **                                                                           **
 **  Copyright (c) 2009-2010 Barry "Gian" James  <bjames@munixos.net>         **
 **  All rights reserved.                                                     **
 **                                                                           **
 **  The contents of this file are subject to the terms of the CDDL:          **
 **  Common Development and Distribution License (the "License").             **
 **  You may not use this file except in compliance with the License.         **
 **                                                                           **
 **  You can obtain a copy of the license at $PROJECT_ROOT/LICENSE            **
 **  or http://www.opensolaris.org/os/licensing.  This code is Open Source    **
 **  and you are free to use it within the confines of the license, even      **
 **  for your own closed-source commercial projects, as long as you follow    **
 **  the terms set forth in the CDDL.                                         **
 **                                                                           **
 **  When distributing Covered Code, include this CDDL HEADER in each         **
 **  file and include the License file at $PROJECT_ROOT/LICENSE.              **
 **  If applicable, add the following below this CDDL HEADER, with the        **
 **  fields enclosed by brackets "[]" replaced with your own identifying      **
 **  information: Portions Copyright [yyyy] [name of copyright owner]         **
 **                                                                           **
 ******************************************************************************/
// Initialized on September 28, 2010, 2:16 PM
#define _MUNIX_common_h_ID_ "$Id: common.h 56176 2011-03-03 03:40:53Z unknown $"


#define MAX_MNEMONIC_SIZE   4
#define STACK_MEM_MAX       4096


typedef unsigned char   byte;
typedef unsigned char   u8;
typedef unsigned short  u16;
typedef unsigned int    u32;

enum class status
{ running, finished, nodata, badmem, baddata, divzero, badop, badindex };



#endif	/* COMMON_H */

