;*******************************************************************************
;** Filename: boot.s                                                          **
;** Description: The munixOS bootloader.                                      **
;** $Rev: 55956 $


.nolist
.inc "iox256a3.h"
.list

.equ F_CPU 32000000

;...............................................................................
.dseg
// TODO
;...............................................................................
.cseg
// TODO
    rjmp    Main
    reti    ; Interrupt vector 1
    reti    ; Interrupt vector 2
    reti    ; Interrupt vector 3
    reti    ; Interrupt vector 4
    reti    ; Interrupt vector 5
    reti    ; Interrupt vector 6
    reti    ; Interrupt vector 7
    reti    ; Interrupt vector 8
    reti    ; Interrupt vector 9

;...............................................................................
; This jump table is used to allow the kernel to access boot area code/fcts.
.section .jumps,"ax",@progbits
.global _jumptable
_jumptable:
    jmp     //TODO
    jmp     //TODO

;...............................................................................
Main:
    ldi r16, LOW(RAMEND)
    out spl, r16

    sei

Loop:
    sleep
    nop
    rjmp Loop




